#%define rcver rc4

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:       	psi
Version:    	0.12
Release:    	2
Summary:    	Jabber client based on Qt
License:    	GPL
Group:      	Networking/Instant Messaging
URL:        	http://psi-im.org
Source0:    	http://dl.sf.net/psi/psi-%{version}.tar.bz2
# Language packs
Source10:       psi-lang-packs-0.10.tar.gz
# Iconsets
Source11:       emoticons-0.10.tar.gz
Source12:       rostericons-0.10.tar.gz


BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  qt4-devel
BuildRequires:  zlib-devel
BuildRequires:  qca-devel
BuildRequires:  aspell-devel
BuildRequires:  libXScrnSaver-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

Requires: 	sox
Requires: 	gnupg
# Required for SSL/TLS connections
Requires: 	qca-ossl
# Required for GnuPG encryption
Requires: 	qca-gnupg


%description
Psi is the premiere Instant Messaging application designed for Microsoft
Windows, Apple Mac OS X and GNU/Linux. Built upon an open protocol named
Jabber, Psi is a fast and lightweight messaging client that utilises the best
in open source technologies. Psi contains all the features necessary to chat,
with no bloated extras that slow your computer down. The Jabber protocol
provides gateways to other protocols as AIM, ICQ, MSN and Yahoo!.
If you want SSL support, install the qca-tls package.

%package -n %name-i18n
Summary:    Language packs for Psi
Group:      %{group}
Requires:   psi = %version

%description -n %name-i18n
This package adds internationalization to Psi.
If you want to add a translation from http://psi-im.org,
just put the .qm file in %_datadir/%name (you'll have to do
this as root), and restart psi.

%package -n %name-icons
Summary:    Additional icons for Psi
Group:      %{group}
Requires:   psi >= 0.9.1

%description -n %name-icons
This package contains additional icons for Psi
There are three types of icons:
- emoticons, also known as smileys
- roster icons, to change the appearance of Psi's main window
- system icons, to change the rest of Psi's icons
More icons can be found on http://jisp.netflint.net

%prep
%setup -q -n %{name}-%{version}


%build
unset QTDIR
./configure                        \
        --prefix=%{_prefix}        \
        --bindir=%{_bindir}        \
        --datadir=%{_datadir}      

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export INSTALL_ROOT=$RPM_BUILD_ROOT
make install

# Install language packs
tar -xzpf %{SOURCE10} -C $RPM_BUILD_ROOT%_datadir/%name/

## Install iconsets
tar -xzpf %{SOURCE11} -C $RPM_BUILD_ROOT%_datadir/%name/iconsets/emoticons/
tar -xzpf %{SOURCE12} -C $RPM_BUILD_ROOT%_datadir/%name/iconsets/roster/

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(0644,root,root,0755)
%doc README COPYING
%attr(0755,root,root) %_bindir/psi
%_datadir/%{name}
%_applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%name.png
%exclude %{_datadir}/%{name}/*.qm
%exclude %{_datadir}/%{name}/iconsets/*/*.jisp

%files -n %name-i18n
%defattr(0644,root,root,0755)
%{_datadir}/%name/%{name}_*.qm


%files -n %name-icons
%defattr(0644,root,root,0755)
%{_datadir}/%name/iconsets/*/*.jisp


%changelog
* Tue Sep 02 2008 Christian Metzen <metzench@ccux-linux.de> 0.12-2
- Version update to final version
* Fri Jul 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.12-1
- version update
- rc4 / svn1172
* Tue Apr 22 2008 Christian Wasem <wasem@ccux-linux.de> 0.11-2
- changed group of subpackages to Networking/Instant Messaging
* Wed Apr 16 2008 Christian Metzen <metzench@ccux-linux.de> 0.11-1
- Initial release
